Debian Bug report logs - #717839
lcms2 ftbfs on arm64

version graph

Package: lcms2; Maintainer for lcms2 is Oleksandr Moskalenko <malex@debian.org>;

Reported by: Matthias Klose <doko@ubuntu.com>

Date: Thu, 25 Jul 2013 14:18:02 UTC

Severity: normal

Tags: patch

Found in version 0.2.2-1

Fixed in version lcms2/2.5-1

Done: Thomas Weber <tweber@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#717839; Package lcms2. (Thu, 25 Jul 2013 14:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Thu, 25 Jul 2013 14:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lcms2 ftbfs on arm64
Date: Thu, 25 Jul 2013 16:15:19 +0200
Package: lcms2
Version: 0.2.2-1
Severity: wishlist
User: debian-arm@lists.debian.org
Tags: patch
Usertags: arm64

patch at
http://launchpadlibrarian.net/145704131/lcms2_2.4-0ubuntu3_2.5-0ubuntu1.diff.gz

probably you can just upload the Ubuntu upload to unstable, it fixes the
outstanding CVE issue too.



Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#717839; Package lcms2. (Sat, 21 Dec 2013 02:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

lcms2_2.2+git20110628-2.3

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 21 Dec 2013 02:27:05 GMT) Full text and rfc822 format available.


Message #10 received at 717839@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <717839@bugs.debian.org>
Subject: Re: lcms2 ftbfs on arm64
Date: Sat, 21 Dec 2013 02:23:37 +0000
[Message part 1 (text/plain, inline)]
Source: lcms2
Version: lcms2_2.2+git20110628-2.3
Followup-For: Bug #717839
User: debian-arm@lists.debian.org
Usertag: arm64

Attaqched is a small clean patch which adds autotools-dev support so
that up-to-date config.sub and guess files are used. This fixes the
general case of 'not building on new architecture'.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[lcms2_2.2+git20110628-2.3-arm64support.patch (text/x-diff, attachment)]

Severity set to 'normal' from 'wishlist' Request was from Wookey <wookey@stoneboat.aleph1.co.uk> to control@bugs.debian.org. (Mon, 06 Jan 2014 22:21:35 GMT) Full text and rfc822 format available.

Reply sent to Thomas Weber <tweber@debian.org>:
You have taken responsibility. (Fri, 21 Feb 2014 10:03:29 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@ubuntu.com>:
Bug acknowledged by developer. (Fri, 21 Feb 2014 10:03:29 GMT) Full text and rfc822 format available.

Message #17 received at 717839-close@bugs.debian.org (full text, mbox):

From: Thomas Weber <tweber@debian.org>
To: 717839-close@bugs.debian.org
Subject: Bug#717839: fixed in lcms2 2.5-1
Date: Fri, 21 Feb 2014 10:00:07 +0000
Source: lcms2
Source-Version: 2.5-1

We believe that the bug you reported is fixed in the latest version of
lcms2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717839@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Weber <tweber@debian.org> (supplier of updated lcms2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 09 Feb 2014 02:21:26 +0100
Source: lcms2
Binary: liblcms2-dev liblcms2-dbg liblcms2-2 liblcms2-utils
Architecture: source amd64
Version: 2.5-1
Distribution: unstable
Urgency: low
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Changed-By: Thomas Weber <tweber@debian.org>
Description: 
 liblcms2-2 - Little CMS 2 color management library
 liblcms2-dbg - debugging symbols for lcms2
 liblcms2-dev - Little CMS 2 color management library development headers
 liblcms2-utils - Little CMS 2 color management library
Closes: 639607 701971 701993 717839
Changes: 
 lcms2 (2.5-1) unstable; urgency=low
 .
   * Imported Upstream version 2.5 (Closes: #701993, #701971)
   * Dropped patches (applied upstream):
     - sparc64-ftbfs
     - ojdk-8007925+8007926.patch
     - ojdk-8009654.patch
     - ojdk-8007929.patch
     - ojdk-8007927.patch
   * Refresh patch fix-cmsnamed-alignment-issue.patch
   * Bump debhelper level to 9
   * Bump Standards version to 3.9.5, no changes needed
   * Update Debian copyright
   * Always update config.sub and config.guess.
     Thanks to Wookey (Closes: #717839)
   * Add debug package
   * Add symbols file from Ubuntu
   * Update and activate VCS fields in debian/control (Closes: #639607)
   * Add Thomas Weber as uploader/co-maintainer
   * New patch: fix-memory-write-bug.patch (LP: 1261840)
Checksums-Sha1: 
 9934c9f1acb7974a83c4d1e609a8c5e0bb8aa94b 1443 lcms2_2.5-1.dsc
 bab3470471fc7756c5fbe71be9a3c7d677d2ee7b 7000396 lcms2_2.5.orig.tar.gz
 8aa2a49e00aee865dc92d3118b748d9c7a08d73c 9040 lcms2_2.5-1.debian.tar.xz
 554f950c185b449fcafa251ecb50e4a78ac9da78 5101408 liblcms2-dev_2.5-1_amd64.deb
 6bbe49f711470a4b47d872341795c1a66c3dfe29 443758 liblcms2-dbg_2.5-1_amd64.deb
 1e50c4cad92152dbcf63f8d09c858dc415d91229 134386 liblcms2-2_2.5-1_amd64.deb
 f3d9cd2d8c0a7f73cd6850dc33f761737370c822 42774 liblcms2-utils_2.5-1_amd64.deb
Checksums-Sha256: 
 081d3f74067781168dc924566459e95465cbe2c5125e7f8d73d52b5dfc891bd8 1443 lcms2_2.5-1.dsc
 6727772b44470a2111dba53b9ce4c952b87e7d1b72a31c5ebdf44ba6eb0aa72b 7000396 lcms2_2.5.orig.tar.gz
 6536ef961c9e7dce7c06224c600e303521531fcc690ddf5ec983ad757a9c9e70 9040 lcms2_2.5-1.debian.tar.xz
 951e3425e5042ba889da7a84fb64ccf289b1ecf56681180a1df8fe2bcf8dd9bf 5101408 liblcms2-dev_2.5-1_amd64.deb
 30cc0906a4a7de17fc7f2ccbd643bf1e157cf3fa20ee77675c0b3d1fd771a10b 443758 liblcms2-dbg_2.5-1_amd64.deb
 463798430b7574731e37f8a7a421cb485a19b61f83ef0fab4a94ef0b4c735e03 134386 liblcms2-2_2.5-1_amd64.deb
 d869685ad20511074bd80a4ba63b06ed29299d982bc08f9efc4a666a8f570324 42774 liblcms2-utils_2.5-1_amd64.deb
Files: 
 340ef6e1c7455e1268e38e97c3aceb47 1443 libs optional lcms2_2.5-1.dsc
 396d106600251441ff195fcaa277d10b 7000396 libs optional lcms2_2.5.orig.tar.gz
 eeddd65e34e00d2e11f1038e6b1eba18 9040 libs optional lcms2_2.5-1.debian.tar.xz
 ebc1c6b029cabe85efd06351ba19d76c 5101408 libdevel optional liblcms2-dev_2.5-1_amd64.deb
 3ba63f2939935e61599fee8b86f38fe3 443758 debug extra liblcms2-dbg_2.5-1_amd64.deb
 5e303231da9ea9b50a00ba3653295110 134386 libs optional liblcms2-2_2.5-1_amd64.deb
 d8a69ab93bb4cee1098ddbe177ca9974 42774 utils optional liblcms2-utils_2.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlL23yUACgkQPqD4a3lPnXyRHACgjFyA//1AItaIaeSckyQNl1vc
aSoAn1d4q8a14cSqKTqOwmEwBhGR6LQ6
=ga4v
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2014 07:28:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:10:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.